org.eclnt.jsfserver.elements.util

## Class StableIdAssignment

- java.lang.Object
- - org.eclnt.jsfserver.elements.util.StableIdAssignment

-     public class StableIdAssignment
      extends java.lang.Object

  Switch on/ switch off assignment of stable ids within component processing.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StableIdAssignment()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `checkIfCountedIdsToBeAssigend()`
    `static boolean` | `checkIfStableIdsToBeAssigned()`
    `static boolean` | `checkIfToIncludeJSPNameIntoId()`
    `static void` | `initCoundedIds()` Deprecated.
    `static void` | `initCountedIds()`
    `static void` | `initStableIds()`
    `static void` | `intiIncludeJSPNameIntoID(boolean value)` If the parameter is passed as true then the component id will contain the current jsp page of the page that it is part of.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StableIdAssignment

          public StableIdAssignment()

  - ### Method Detail

    - #### initStableIds

          public static void initStableIds()

    - #### initCoundedIds

          @Deprecated
          public static void initCoundedIds()

      Deprecated.
      Please use `initCountedIds()` - "counted" just sounds better than "counded"...

    - #### initCountedIds

          public static void initCountedIds()

    - #### intiIncludeJSPNameIntoID

          public static void intiIncludeJSPNameIntoID(boolean value)

      If the parameter is passed as true then the component id will contain the current jsp page of the page that it is part of. As result there is a reference from the client side component id back to the JSP page containing the component.

    - #### checkIfStableIdsToBeAssigned

          public static boolean checkIfStableIdsToBeAssigned()

    - #### checkIfCountedIdsToBeAssigend

          public static boolean checkIfCountedIdsToBeAssigend()

    - #### checkIfToIncludeJSPNameIntoId

          public static boolean checkIfToIncludeJSPNameIntoId()

Copyright © CaptainCasa Gmbh. All Rights Reserved.